%define pypi_name kiwisolver

Name:           python-%{pypi_name}
Version:        1.1.0
Release:        %mkrel 2
Summary:        Kiwi is an efficient C++ implementation of the Cassowary constraint solving algorithm.
License:        BSD
Group:          Development/Python
URL:            https://github.com/nucleic/kiwi
Source:         kiwi-%{version}.tar.xz

%description
Kiwi is an efficient C++ implementation of the Cassowary
constraint solving algorithm. Kiwi is an implementation of the
algorithm based on the seminal Cassowary paper. It is not a
refactoring of the original C++ solver. Kiwi has been designed from
the ground up to be lightweight and fast. Kiwi ranges from 10x to 500x
faster than the original Cassowary solver with typical use cases
gaining a 40x improvement. Memory savings are consistently > 5x. In
addition to the C++ solver, Kiwi ships with hand-rolled Python
bindings.

%package -n python3-%{pypi_name}
Summary:        Python3 implementation of Kiwi
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
%{summary}.

%prep
%setup -q -n kiwi-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitearch}/*

%changelog
* Sun Apr 03 2022 TerryN <terryn94 at gmail.com> 1.1.0-2pclos2022
- rebuild for python 3.10

* Sun Oct 13 2019 tex - 1.1.0-2pclos2019
- rebuild against updates

* Fri May 17 2019 pckg <pckg at email.cz> 1.1.0-1pclos2019
- Initial package
